Orders
GET https://in.tasbud.com/api/orders/
curl --request GET \
--url 'https://in.tasbud.com/api/orders/?store_id=1&status=0' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://in.tasbud.com/api/orders/?store_id=1&status=0' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| store_id | Optional Integer | |
| status | Optional Integer | Allowed values: 0, 1 |
| is_paid | Optional Integer | Allowed values: 0, 1 |
| type | Optional String | Allowed values: on_premise, takeaway, delivery |
| processor | Optional String | Allowed values: paypal, stripe, mollie, paystack, razorpay, plisio, revolut, offline_payment |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: order_number, details. |
| datetime_field | Optional String | Allowed values: datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: order_id, order_number, store_id, price, ordered_items, datetime. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"order_id": 1,
"store_id": 1,
"user_id": 1,
"order_number": 1001,
"type": "takeaway",
"processor": "offline_payment",
"details": {
"name": "John Doe",
"phone": "+1234567890",
"message": ""
},
"price": 25.5,
"ordered_items": 3,
"is_paid": false,
"status": false,
"datetime": "2026-10-23 01:12:46"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://in.tasbud.com/api/orders?page=1",
"last": "https://in.tasbud.com/api/orders?page=1",
"next": null,
"prev": null,
"self": "https://in.tasbud.com/api/orders?page=1"
}
}
GET https://in.tasbud.com/api/orders/{order_id}
curl --request GET \
--url 'https://in.tasbud.com/api/orders/{order_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://in.tasbud.com/api/orders/{order_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"order_id": 1,
"store_id": 1,
"user_id": 1,
"order_number": 1001,
"type": "takeaway",
"processor": "offline_payment",
"details": {
"name": "John Doe",
"phone": "+1234567890",
"message": ""
},
"price": 25.5,
"ordered_items": 3,
"is_paid": false,
"status": false,
"datetime": "2026-10-23 01:12:46",
"items": [
{
"order_item_id": 1,
"order_id": 1,
"item_variant_id": null,
"item_id": 10,
"category_id": 5,
"menu_id": 2,
"store_id": 1,
"item_extras_ids": null,
"data": {
"name": "Cheeseburger"
},
"price": 12.5,
"quantity": 2,
"datetime": "2026-10-23 01:12:46"
}
]
}
}